# Get a job's full definition including its ordered steps Source: https://docs.orchard.hackclub.com/api/operations/jobs_get/ `GET /apiv1/jobs/{id}` Operation ID: `jobs_get` Auth: authenticated ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "concurrencyPolicy": { "enum": [ "forbid", "allow" ], "type": "string" }, "createdAt": { "type": "string" }, "description": { "type": [ "string", "null" ] }, "enabled": { "type": "boolean" }, "id": { "type": "string" }, "lastRun": { "additionalProperties": {}, "properties": { "createdAt": { "type": "string" }, "finishedAt": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "number": { "type": "integer" }, "startedAt": { "type": [ "string", "null" ] }, "status": { "enum": [ "pending", "running", "succeeded", "failed", "canceled", "skipped", "timed_out" ], "type": "string" }, "trigger": { "enum": [ "manual", "api", "cron" ], "type": "string" } }, "required": [ "id", "number", "status", "trigger", "startedAt", "finishedAt", "createdAt" ], "type": [ "object", "null" ] }, "name": { "type": "string" }, "nextRunAt": { "type": [ "string", "null" ] }, "organizationId": { "description": "Present on detail responses, absent on list responses", "type": "string" }, "projectId": { "type": "string" }, "projectName": { "type": "string" }, "projectSlug": { "type": "string" }, "recentRuns": { "items": { "additionalProperties": {}, "properties": { "finishedAt": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "number": { "type": "integer" }, "startedAt": { "type": [ "string", "null" ] }, "status": { "enum": [ "pending", "running", "succeeded", "failed", "canceled", "skipped", "timed_out" ], "type": "string" } }, "required": [ "id", "number", "status", "startedAt", "finishedAt" ], "type": "object" }, "type": "array" }, "runTimeoutSeconds": { "type": "integer" }, "scheduleCron": { "type": [ "string", "null" ] }, "stepCount": { "type": "integer" }, "steps": { "items": { "additionalProperties": {}, "properties": { "command": { "type": [ "string", "null" ] }, "cpuRequestMilli": { "type": [ "integer", "null" ] }, "deploymentId": { "type": [ "string", "null" ] }, "envVars": { "items": { "properties": { "key": { "type": "string" }, "value": { "type": "string" } }, "required": [ "key", "value" ], "type": "object" }, "type": "array" }, "id": { "type": "string" }, "image": { "type": [ "string", "null" ] }, "memoryRequestBytes": { "anyOf": [ { "type": "string" }, { "type": "number" }, { "type": "null" } ] }, "name": { "type": "string" }, "retries": { "type": "integer" }, "script": { "type": [ "string", "null" ] }, "scriptRuntime": { "enum": [ "bash", "python", "node", null ], "type": [ "string", "null" ] }, "stepOrder": { "type": "integer" }, "timeoutSeconds": { "type": "integer" }, "type": { "enum": [ "script", "app", "image" ], "type": "string" } }, "required": [ "id", "stepOrder", "name", "type", "deploymentId", "image", "command", "script", "scriptRuntime", "envVars", "cpuRequestMilli", "memoryRequestBytes", "timeoutSeconds", "retries" ], "type": "object" }, "type": "array" }, "stepSummaries": { "items": { "additionalProperties": {}, "properties": { "name": { "type": "string" }, "type": { "enum": [ "script", "app", "image" ], "type": "string" } }, "required": [ "name", "type" ], "type": "object" }, "type": "array" }, "timeZone": { "type": [ "string", "null" ] }, "updatedAt": { "type": "string" } }, "required": [ "id", "name", "description", "projectId", "scheduleCron", "timeZone", "enabled", "concurrencyPolicy", "runTimeoutSeconds", "lastRun", "recentRuns", "nextRunAt", "createdAt", "updatedAt", "steps" ], "type": "object" } ```